/*******************************************************************************
* File Name: conv.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_conv_H) /* Pins conv_H */
#define CY_PINS_conv_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "conv_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    conv_Write(uint8 value) ;
void    conv_SetDriveMode(uint8 mode) ;
uint8   conv_ReadDataReg(void) ;
uint8   conv_Read(void) ;
uint8   conv_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define conv_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define conv_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define conv_DM_RES_UP          PIN_DM_RES_UP
#define conv_DM_RES_DWN         PIN_DM_RES_DWN
#define conv_DM_OD_LO           PIN_DM_OD_LO
#define conv_DM_OD_HI           PIN_DM_OD_HI
#define conv_DM_STRONG          PIN_DM_STRONG
#define conv_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define conv_MASK               conv__MASK
#define conv_SHIFT              conv__SHIFT
#define conv_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define conv_PS                     (* (reg8 *) conv__PS)
/* Data Register */
#define conv_DR                     (* (reg8 *) conv__DR)
/* Port Number */
#define conv_PRT_NUM                (* (reg8 *) conv__PRT) 
/* Connect to Analog Globals */                                                  
#define conv_AG                     (* (reg8 *) conv__AG)                       
/* Analog MUX bux enable */
#define conv_AMUX                   (* (reg8 *) conv__AMUX) 
/* Bidirectional Enable */                                                        
#define conv_BIE                    (* (reg8 *) conv__BIE)
/* Bit-mask for Aliased Register Access */
#define conv_BIT_MASK               (* (reg8 *) conv__BIT_MASK)
/* Bypass Enable */
#define conv_BYP                    (* (reg8 *) conv__BYP)
/* Port wide control signals */                                                   
#define conv_CTL                    (* (reg8 *) conv__CTL)
/* Drive Modes */
#define conv_DM0                    (* (reg8 *) conv__DM0) 
#define conv_DM1                    (* (reg8 *) conv__DM1)
#define conv_DM2                    (* (reg8 *) conv__DM2) 
/* Input Buffer Disable Override */
#define conv_INP_DIS                (* (reg8 *) conv__INP_DIS)
/* LCD Common or Segment Drive */
#define conv_LCD_COM_SEG            (* (reg8 *) conv__LCD_COM_SEG)
/* Enable Segment LCD */
#define conv_LCD_EN                 (* (reg8 *) conv__LCD_EN)
/* Slew Rate Control */
#define conv_SLW                    (* (reg8 *) conv__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define conv_PRTDSI__CAPS_SEL       (* (reg8 *) conv__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define conv_PRTDSI__DBL_SYNC_IN    (* (reg8 *) conv__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define conv_PRTDSI__OE_SEL0        (* (reg8 *) conv__PRTDSI__OE_SEL0) 
#define conv_PRTDSI__OE_SEL1        (* (reg8 *) conv__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define conv_PRTDSI__OUT_SEL0       (* (reg8 *) conv__PRTDSI__OUT_SEL0) 
#define conv_PRTDSI__OUT_SEL1       (* (reg8 *) conv__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define conv_PRTDSI__SYNC_OUT       (* (reg8 *) conv__PRTDSI__SYNC_OUT) 


#if defined(conv__INTSTAT)  /* Interrupt Registers */

    #define conv_INTSTAT                (* (reg8 *) conv__INTSTAT)
    #define conv_SNAP                   (* (reg8 *) conv__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins conv_H */


/* [] END OF FILE */
